-- DB Schema for NG project. Rename this file to represent correct version upgrade

CREATE TABLE tasks (
  id             TEXT PRIMARY KEY,
  status         TEXT,
  times_executed INTEGER,
  task           TEXT
);

CREATE TABLE task_reports (
  task_id     TEXT,
  report_date TIMESTAMP,
  status      TEXT,
  report      TEXT
);

update settings
set name="AgentSettings.PreventUnenrollment"
WHERE (name like "Info.isUnenrollBlocked");
CREATE UNIQUE INDEX IF NOT EXISTS task_report_idx ON task_reports (task_id, report_date, status);

CREATE TABLE device_profiles (
  profile_id      TEXT PRIMARY KEY,
  profile_summary TEXT
);

CREATE TABLE feature_reports (
  id             TEXT PRIMARY KEY,
  payload_type   INTEGER,
  payload_cmd    TEXT,
  param          TEXT,
  feature_status INTEGER,
  report_status INTEGER,
  container_id  TEXT
);

-- MC-9213 post upgrade profiles will be sent by DS and new pending action items are created
delete from pending_actions;

UPDATE settings SET name = REPLACE(name, 'Kiosk.', 'LockdownLocal.') WHERE name LIKE "Kiosk.Enabled";