CREATE TABLE package_reports (
    package_id   TEXT NOT NULL,
    package_name TEXT NOT NULL,
    container_id TEXT NOT NULL,
    command      TEXT NOT NULL,
    ds_status    INTEGER NOT NULL,
    log_time     INTEGER NOT NULL,
    has_schedule INTEGER NOT NULL
);

-- Packages table migration
-- Old packages table has UNIQUE constraint on (name, value)
-- the only way to modify constraint in SQLite is to recreate the table.
-- New packages table will have unique index on (name, version, container)
-- Since _id is INTEGER PRIMARY KEY, having AUTOINCREMENT is unnecessary (http://www.sqlite.org/faq.html#q1)
ALTER TABLE packages RENAME TO packages_old;
CREATE TABLE packages (
	_id	INTEGER PRIMARY KEY,
	name	TEXT NOT NULL,
	state	TEXT NOT NULL,
	version	TEXT NOT NULL,
	installDate	INTEGER,
	packageId	TEXT,
	ds_status	INTEGER,
	use_utc	INTEGER,
	noUninstall	INTEGER,
	isBackup	INTEGER,
	container_id	TEXT,
	install_order	INTEGER DEFAULT 0,
	dependencies	TEXT,
	content_downloaded	INTEGER DEFAULT 0,
	package_version	TEXT DEFAULT 0
);
INSERT INTO packages SELECT * FROM packages_old;
DROP TABLE packages_old;
CREATE UNIQUE INDEX packages_unique_idx ON packages (name, version, container_id);
