CREATE TABLE IF NOT EXISTS pending_actions (
  _id TEXT PRIMARY KEY,
  type TEXT,
  title TEXT,
  description TEXT,
  priority NUMBER,
  message_destination TEXT,
  message_action TEXT,
  bundle TEXT
);

DROP TABLE IF EXISTS content_management;

CREATE TABLE IF NOT EXISTS content_management(
  _id INTEGER PRIMARY KEY AUTOINCREMENT,
  parent_id NUMBER,
  file_id NUMBER,
  is_folder NUMBER,
  virtual_path TEXT,
  system_path TEXT,
  source_file TEXT,
  friendly_name TEXT,
  local_version INTEGER,
  file_version INTEGER,
  version_no TEXT,
  is_latest INTEGER,
  file_attr INTEGER,
  content_attr INTEGER,
  file_modification_date NUMBER,
  file_download_date NUMBER,
  description TEXT,
  notes TEXT,
  labels TEXT,
  not_before NUMBER,
  not_after NUMBER,
  file_size NUMBER,
  download_status INTEGER,
  read_status INTEGER,
  on_demand INTEGER,
  network_type INTEGER,
  arrive_time NUMBER
);

CREATE TABLE IF NOT EXISTS certificate_inventory (
  alias TEXT,
  subject TEXT,
  issuer TEXT,
  serial TEXT,
  not_before NUMBER,
  not_after NUMBER,
  origin INTEGER,
  content BLOB,
  pass TEXT,
  PRIMARY KEY (issuer, serial)
);

CREATE TABLE IF NOT EXISTS pending_malware_alerts (
  _id INTEGER PRIMARY KEY AUTOINCREMENT,
  alert_type TEXT,
  bundle TEXT,
  file_hash TEXT,
  package_name TEXT,
  url TEXT
);

CREATE TABLE IF NOT EXISTS pending_geofence_alerts (
  _id INTEGER PRIMARY KEY AUTOINCREMENT,
  time NUMBER,
  event INTEGER,
  fenceId INTEGER,
  latitude REAL,
  longitude REAL,
  TZ TEXT
);

CREATE TABLE IF NOT EXISTS messages (
  _id TEXT PRIMARY KEY,
  text TEXT,
  date INTEGER,
  read INTEGER
);

/* Modifying Lockdown.* to Kiosk.* */
UPDATE settings SET name = REPLACE(name, 'Lockdown.', 'Kiosk.') WHERE name LIKE 'Lockdown%';

ALTER TABLE packages ADD COLUMN ds_status INTEGER;